This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 879000 - [abrt] SdrObjList::RecalcObjOrdNums
[abrt] SdrObjList::RecalcObjOrdNums
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:2d2ae9b19c69b6194bb9a8fdf4e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-21 13:51 EST by markusN
Modified: 2012-12-19 03:32 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 03:32:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (4.56 KB, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: environ (3.56 KB, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: backtrace (42.64 KB, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: smolt_data (3.07 KB, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: cgroup (130 bytes, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: executable (42 bytes, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: maps (101.97 KB, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: dso_list (22.18 KB, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: var_log_messages (343 bytes, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details
File: open_fds (1.67 KB, text/plain)
2012-11-21 13:51 EST, markusN
no flags Details

  None (edit)
Description markusN 2012-11-21 13:51:02 EST
Description of problem:
Deleting a sheet

Version-Release number of selected component:
libreoffice-core-3.5.7.2-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin fem_offer_draft.odt --splash-pipe=6
crash_function: SdrObjList::RecalcObjOrdNums
kernel:         3.6.6-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 SdrObjList::RecalcObjOrdNums at /usr/src/debug/libreoffice-3.5.7.2/svx/source/svdraw/svdpage.cxx:306
: #1 ScPostIt::RemoveCaption at /usr/src/debug/libreoffice-3.5.7.2/sc/source/core/data/postit.cxx:761
: #2 ScPostIt::~ScPostIt at /usr/src/debug/libreoffice-3.5.7.2/sc/source/core/data/postit.cxx:532
: #3 ScBaseCell::DeleteNote at /usr/src/debug/libreoffice-3.5.7.2/sc/source/core/data/cell.cxx:310
: #4 ScBaseCell::Delete at /usr/src/debug/libreoffice-3.5.7.2/sc/source/core/data/cell.cxx:266
: #5 ScColumn::FreeAll at /usr/src/debug/libreoffice-3.5.7.2/sc/source/core/data/column3.cxx:259
: #6 ScColumn::~ScColumn at /usr/src/debug/libreoffice-3.5.7.2/sc/source/core/data/column.cxx:98
: #7 ScTable::~ScTable at /usr/src/debug/libreoffice-3.5.7.2/sc/source/core/data/table1.cxx:324
: #8 ScDocument::DeleteTab at /usr/src/debug/libreoffice-3.5.7.2/sc/source/core/data/document.cxx:658
: #9 ScViewFunc::DeleteTables at /usr/src/debug/libreoffice-3.5.7.2/sc/source/ui/view/viewfun2.cxx:2190
Comment 1 markusN 2012-11-21 13:51:06 EST
Created attachment 649353 [details]
File: core_backtrace
Comment 2 markusN 2012-11-21 13:51:08 EST
Created attachment 649354 [details]
File: environ
Comment 3 markusN 2012-11-21 13:51:11 EST
Created attachment 649355 [details]
File: backtrace
Comment 4 markusN 2012-11-21 13:51:13 EST
Created attachment 649356 [details]
File: limits
Comment 5 markusN 2012-11-21 13:51:16 EST
Created attachment 649357 [details]
File: smolt_data
Comment 6 markusN 2012-11-21 13:51:18 EST
Created attachment 649358 [details]
File: cgroup
Comment 7 markusN 2012-11-21 13:51:20 EST
Created attachment 649359 [details]
File: executable
Comment 8 markusN 2012-11-21 13:51:23 EST
Created attachment 649360 [details]
File: maps
Comment 9 markusN 2012-11-21 13:51:25 EST
Created attachment 649361 [details]
File: dso_list
Comment 10 markusN 2012-11-21 13:51:28 EST
Created attachment 649362 [details]
File: proc_pid_status
Comment 11 markusN 2012-11-21 13:51:30 EST
Created attachment 649363 [details]
File: var_log_messages
Comment 12 markusN 2012-11-21 13:51:32 EST
Created attachment 649364 [details]
File: open_fds
Comment 13 David Tardon 2012-11-22 03:05:38 EST
Just deleting a sheet that contains a cell with a note does not cause any crash. Can you reproduce this somehow?
Comment 14 markusN 2012-11-22 06:38:17 EST
(In reply to comment #13)
> Just deleting a sheet that contains a cell with a note does not cause any
> crash. Can you reproduce this somehow?

Confirmed, no crash in this case.
Comment 15 David Tardon 2012-11-22 08:24:33 EST
(In reply to comment #14)
> (In reply to comment #13)
> > Just deleting a sheet that contains a cell with a note does not cause any
> > crash. Can you reproduce this somehow?
> 
> Confirmed, no crash in this case.

What I meant is if you could reproduce the original crash :-)

Note You need to log in before you can comment on or make changes to this bug.